# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.photos
Class AlbumEntry

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<E>
                  com.google.gdata.data.media.MediaEntry<E>
                      com.google.gdata.data.photos.GphotoEntry<AlbumEntry>
                          com.google.gdata.data.photos.AlbumEntry

All Implemented Interfaces:
  Extension, BoxData, PointData, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor, IMediaEntry, AlbumData, AtomData, Extensible, GphotoData, MediaData

    public class AlbumEntry

extends GphotoEntry<AlbumEntry>
implements AtomData, AlbumData

Entry for album kinds, contains album metadata.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary
`static Category` `CATEGORY` Album kind category.
`static java.lang.String` `KIND` Album kind term value.

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Fields inherited from interface com.google.gdata.data.photos.AlbumData
`ALBUM_CATEGORY, ALBUM_KIND`

Constructor Summary
`AlbumEntry()` Default mutable constructor.
`AlbumEntry(BaseEntry<?> sourceEntry)` Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

Method Summary
`void` `clearGeoBoundingBox()` Clears the bounding box and removes the extension point.
`void` `clearPoint()` Clears the point data and removes the extension point.
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an ExtensionPoint within the target extension profile.
`java.lang.String` `getAccess()` The access level of the album, either private, protected, or public.
`GphotoAccess` `getAccessExt()` Returns the access level for the album.
`java.lang.Long` `getBytesUsed()` The number of bytes that are used by photos in this album.
`GphotoBytesUsed` `getBytesUsedExt()` Returns the number of bytes used by this album.
`java.lang.Integer` `getCommentCount()` The number of comments on the album.
`GphotoCommentCount` `getCommentCountExt()` Returns the number of comments on this album.
`java.lang.Boolean` `getCommentsEnabled()` Whether or not commenting is allowed on this album.
`GphotoCommentsEnabled` `getCommentsEnabledExt()` Returns the comments enabled field, which is true if comments are enabled for this album.
`java.util.Date` `getDate()` The date the album was taken.
`GphotoTimestamp` `getDateExt()` Returns the user date of the album.
`AlbumFeed` `getFeed(java.lang.String... kinds)` Retrieve the album feed and associated entries.
`Box` `getGeoBoundingBox()` Gets the bounding box of this entity.
`Point` `getGeoLocation()` Gets the geo-location of the entity.
`W3CPoint` `getGeoPoint()` Returns the geolocation as a geo:point.
`GeoRssBox` `getGeoRssBox()` Returns the geo bounding box as a georss:box.
`GeoRssPoint` `getGeoRssPoint()` Returns the geolocation as a georss:point.
`GeoRssWhere` `getGeoRssWhere()` Returns the geolocation as a georss:where.
`GmlEnvelope` `getGmlEnvelope()` Returns the geo bounding box as a gml:Envelope.
`GmlPoint` `getGmlPoint()` Returns the geolocation as a gml:point.
`java.lang.String` `getLocation()` The location of the album is a string representing where the photos in the album where taken.
`GphotoLocation` `getLocationExt()` Returns the textual location of the album.
`java.util.List<MediaCategory>` `getMediaCategories()` Retrieve the list of media:category elements inside the media:group on this element.
`java.util.List<MediaContent>` `getMediaContents()` Retrieve the list of media:content elements inside the media:group on this element.
`java.util.List<MediaCredit>` `getMediaCredits()` Retrieve the list of media:credit elements inside the media:group on this element.
`MediaGroup` `getMediaGroup()` Returns the mediarss group for media metadata.
`MediaKeywords` `getMediaKeywords()` Retrieve the list of media:keywords elements inside the media:group on this element.
`java.util.List<MediaThumbnail>` `getMediaThumbnails()` Retrieve the list of media:thumbnail elements inside the media:group on this element.
`java.lang.String` `getName()` The name of the album is its canonicalized title.
`GphotoName` `getNameExt()` Returns the canonical name of the album.
`java.lang.String` `getNickname()` The nickname of the user who owns the album.
`GphotoNickname` `getNicknameExt()` Returns the nickname of the owner of the album.
`java.lang.Integer` `getPhotosLeft()` The number of spaces for photos that are available in the album.
`GphotoPhotosLeft` `getPhotosLeftExt()` Returns the number of photos that can be uploaded to this album.
`java.lang.Integer` `getPhotosUsed()` The number of photos that are contained in this album.
`GphotoPhotosUsed` `getPhotosUsedExt()` Returns the number of photos that have been uploaded to this album.
`java.lang.String` `getUsername()` The username of the owner of the album.
`GphotoUsername` `getUsernameExt()` Returns the username of the owner of the album.
`boolean` `hasAccessExt()` Returns whether it has the access level for the album.
`boolean` `hasBytesUsedExt()` Returns whether it has the number of bytes used by this album.
`boolean` `hasCommentCountExt()` Returns whether it has the number of comments on this album.
`boolean` `hasCommentsEnabledExt()` Returns whether it has the comments enabled field, which is true if comments are enabled for this album.
`boolean` `hasDateExt()` Returns whether it has the user date of the album.
`boolean` `hasGeoPoint()` Returns whether it has the geolocation as a geo:point.
`boolean` `hasGeoRssBox()` Returns whether it has the geo bounding box as a georss:box.
`boolean` `hasGeoRssPoint()` Returns whether it has the geolocation as a georss:point.
`boolean` `hasGeoRssWhere()` Returns whether it has the geolocation as a georss:where.
`boolean` `hasGmlEnvelope()` Returns whether it has the geo bounding box as a gml:Envelope.
`boolean` `hasGmlPoint()` Returns whether it has the geolocation as a gml:point.
`boolean` `hasLocationExt()` Returns whether it has the textual location of the album.
`boolean` `hasMediaGroup()` Returns whether it has the mediarss group for media metadata.
`boolean` `hasNameExt()` Returns whether it has the canonical name of the album.
`boolean` `hasNicknameExt()` Returns whether it has the nickname of the owner of the album.
`boolean` `hasPhotosLeftExt()` Returns whether it has the number of photos that can be uploaded to this album.
`boolean` `hasPhotosUsedExt()` Returns whether it has the number of photos that have been uploaded to this album.
`boolean` `hasUsernameExt()` Returns whether it has the username of the owner of the album.
`void` `setAccess(java.lang.String access)` Set the access for the album this data object represents.
`void` `setAccessExt(GphotoAccess accessExt)` Sets the access level for the album.
`void` `setBytesUsed(java.lang.Long bytesUsed)` Set the number of bytes used in the album this data object represents.
`void` `setBytesUsedExt(GphotoBytesUsed bytesUsedExt)` Sets the number of bytes used by this album.
`void` `setCommentCount(java.lang.Integer commentCount)` Set the number of comments on the album.
`void` `setCommentCountExt(GphotoCommentCount commentCountExt)` Sets the number of comments on this album.
`void` `setCommentsEnabled(java.lang.Boolean commentsEnabled)` Set the whether comments are enabled in the album.
`void` `setCommentsEnabledExt(GphotoCommentsEnabled commentsEnabledExt)` Sets the comments enabled field, which is true if comments are enabled for this album.
`void` `setDate(java.util.Date date)` Set the date of the album.
`void` `setDateExt(GphotoTimestamp dateExt)` Sets the user date of the album.
`void` `setGeoBoundingBox(Box boundingBox)` Sets the bounding box for this entity based on a `Box` extension.
`void` `setGeoBoundingBox(Point lowerLeft, Point upperRight)` Sets the bounding box based on two `Point` objects.
`void` `setGeoLocation(java.lang.Double lat, java.lang.Double lon)` Sets the geo-location of the entity based on the lat and long coordinates passed in.
`void` `setGeoLocation(Point point)` Sets the geo-location of the entity based on the Point extension.
`void` `setGeoPoint(W3CPoint geoPoint)` Sets the geolocation as a geo:point.
`void` `setGeoRssBox(GeoRssBox geoRssBox)` Sets the geo bounding box as a georss:box.
`void` `setGeoRssPoint(GeoRssPoint geoRssPoint)` Sets the geolocation as a georss:point.
`void` `setGeoRssWhere(GeoRssWhere geoRssWhere)` Sets the geolocation as a georss:where.
`void` `setGmlEnvelope(GmlEnvelope gmlEnvelope)` Sets the geo bounding box as a gml:Envelope.
`void` `setGmlPoint(GmlPoint gmlPoint)` Sets the geolocation as a gml:point.
`void` `setKeywords(MediaKeywords keywords)` Set the media keywords on this element to the given keywords.
`void` `setLocation(java.lang.String location)` Set the location string for where the photos in the album were taken.
`void` `setLocationExt(GphotoLocation locationExt)` Sets the textual location of the album.
`void` `setMediaGroup(MediaGroup mediaGroup)` Sets the mediarss group for media metadata.
`void` `setName(java.lang.String name)` Set the canonical name of the album.
`void` `setNameExt(GphotoName nameExt)` Sets the canonical name of the album.
`void` `setNickname(java.lang.String nickname)` Set the nickname for the owner of the album this data object represents.
`void` `setNicknameExt(GphotoNickname nicknameExt)` Sets the nickname of the owner of the album.
`void` `setPhotosLeft(java.lang.Integer photosLeft)` Set the number of photos remaining that can be uploaded to this album.
`void` `setPhotosLeftExt(GphotoPhotosLeft photosLeftExt)` Sets the number of photos that can be uploaded to this album.
`void` `setPhotosUsed(java.lang.Integer photosUsed)` Set the number of photos used on the album this data object represents.
`void` `setPhotosUsedExt(GphotoPhotosUsed photosUsedExt)` Sets the number of photos that have been uploaded to this album.
`void` `setUsername(java.lang.String username)` Set the username for the owner of the album this data object represents.
`void` `setUsernameExt(GphotoUsername usernameExt)` Sets the username of the owner of the album.
`java.lang.String` `toString()`
`protected void` `validate()` Checks the attributes to see if there are any problems.

Methods inherited from class com.google.gdata.data.photos.GphotoEntry
`generateRss, getAdaptedEntry, getDescription, getFeed, getFeedLink, getGphotoId, setDescription, setGphotoId, setGphotoId`

Methods inherited from class com.google.gdata.data.media.MediaEntry
`getContentHandlerInfo, getMediaEditLink, getMediaSource, setMediaSource, setService, updateMedia`

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.google.gdata.data.photos.AtomData
`getAuthors, getCategories, getContributors, getDescription, getId, getLinks, getRights, getTitle, getUpdated, setDescription, setId, setRights, setTitle, setUpdated`

Methods inherited from interface com.google.gdata.data.photos.GphotoData
`getGphotoId, setGphotoId, setGphotoId`

Methods inherited from interface com.google.gdata.data.photos.Extensible
`addExtension, addRepeatingExtension, removeExtension, removeExtension, removeRepeatingExtension, setExtension`

Methods inherited from interface com.google.gdata.data.IEntry
`getCanEdit, getContent, getEdited, getEditLink, getPublished, getResumableEditMediaLink, getSelectedFields, getSummary, setCanEdit, setEdited, setPublished, setSelectedFields`

Methods inherited from interface com.google.gdata.data.IAtom
`addLink, getAuthors, getCategories, getEtag, getId, getKind, getLink, getLinks, getSelfLink, getTitle, getUpdated, getVersionId, removeLinks, removeLinks, setEtag, setId, setKind, setUpdated, setVersionId`

Field Detail

### KIND

    public static final java.lang.String KIND

  Album kind term value.

  See Also:
    Constant Field Values

### CATEGORY

    public static final Category CATEGORY

  Album kind category.

Constructor Detail

### AlbumEntry

    public AlbumEntry()

  Default mutable constructor.

### AlbumEntry

    public AlbumEntry(BaseEntry<?> sourceEntry)

  Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

  Parameters:
    `sourceEntry` - source entry

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from class: `ExtensionPoint`
  Declares the set of expected Extension types for an ExtensionPoint within the target extension profile. The base implementation does not declare any extensions, but can be overridden by specific types of ExtensionPoints that always contain a well-defined set of extensions.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Specified by:
    `declareExtensions` in interface `Extensible`
  Overrides:
    `declareExtensions` in class `GphotoEntry<AlbumEntry>`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`

### getAccessExt

    public GphotoAccess getAccessExt()

  Returns the access level for the album.

  Returns:
    access level for the album

### setAccessExt

    public void setAccessExt(GphotoAccess accessExt)

  Sets the access level for the album.

  Parameters:
    `accessExt` - access level for the album or `null` to reset

### hasAccessExt

    public boolean hasAccessExt()

  Returns whether it has the access level for the album.

  Returns:
    whether it has the access level for the album

### getBytesUsedExt

    public GphotoBytesUsed getBytesUsedExt()

  Returns the number of bytes used by this album.

  Returns:
    number of bytes used by this album

### setBytesUsedExt

    public void setBytesUsedExt(GphotoBytesUsed bytesUsedExt)

  Sets the number of bytes used by this album.

  Parameters:
    `bytesUsedExt` - number of bytes used by this album or `null` to reset

### hasBytesUsedExt

    public boolean hasBytesUsedExt()

  Returns whether it has the number of bytes used by this album.

  Returns:
    whether it has the number of bytes used by this album

### getCommentCountExt

    public GphotoCommentCount getCommentCountExt()

  Returns the number of comments on this album.

  Returns:
    number of comments on this album

### setCommentCountExt

    public void setCommentCountExt(GphotoCommentCount commentCountExt)

  Sets the number of comments on this album.

  Parameters:
    `commentCountExt` - number of comments on this album or `null` to reset

### hasCommentCountExt

    public boolean hasCommentCountExt()

  Returns whether it has the number of comments on this album.

  Returns:
    whether it has the number of comments on this album

### getCommentsEnabledExt

    public GphotoCommentsEnabled getCommentsEnabledExt()

  Returns the comments enabled field, which is true if comments are enabled for this album.

  Returns:
    comments enabled field, which is true if comments are enabled for this album

### setCommentsEnabledExt

    public void setCommentsEnabledExt(GphotoCommentsEnabled commentsEnabledExt)

  Sets the comments enabled field, which is true if comments are enabled for this album.

  Parameters:
    `commentsEnabledExt` - comments enabled field, which is true if comments are enabled for this album or `null` to reset

### hasCommentsEnabledExt

    public boolean hasCommentsEnabledExt()

  Returns whether it has the comments enabled field, which is true if comments are enabled for this album.

  Returns:
    whether it has the comments enabled field, which is true if comments are enabled for this album

### getDateExt

    public GphotoTimestamp getDateExt()

  Returns the user date of the album.

  Returns:
    user date of the album

### setDateExt

    public void setDateExt(GphotoTimestamp dateExt)

  Sets the user date of the album.

  Parameters:
    `dateExt` - user date of the album or `null` to reset

### hasDateExt

    public boolean hasDateExt()

  Returns whether it has the user date of the album.

  Returns:
    whether it has the user date of the album

### getGeoPoint

    public W3CPoint getGeoPoint()

  Returns the geolocation as a geo:point.

  Returns:
    geolocation as a geo:point

### setGeoPoint

    public void setGeoPoint(W3CPoint geoPoint)

  Sets the geolocation as a geo:point.

  Parameters:
    `geoPoint` - geolocation as a geo:point or `null` to reset

### hasGeoPoint

    public boolean hasGeoPoint()

  Returns whether it has the geolocation as a geo:point.

  Returns:
    whether it has the geolocation as a geo:point

### getGeoRssBox

    public GeoRssBox getGeoRssBox()

  Returns the geo bounding box as a georss:box.

  Returns:
    geo bounding box as a georss:box

### setGeoRssBox

    public void setGeoRssBox(GeoRssBox geoRssBox)

  Sets the geo bounding box as a georss:box.

  Parameters:
    `geoRssBox` - geo bounding box as a georss:box or `null` to reset

### hasGeoRssBox

    public boolean hasGeoRssBox()

  Returns whether it has the geo bounding box as a georss:box.

  Returns:
    whether it has the geo bounding box as a georss:box

### getGeoRssPoint

    public GeoRssPoint getGeoRssPoint()

  Returns the geolocation as a georss:point.

  Returns:
    geolocation as a georss:point

### setGeoRssPoint

    public void setGeoRssPoint(GeoRssPoint geoRssPoint)

  Sets the geolocation as a georss:point.

  Parameters:
    `geoRssPoint` - geolocation as a georss:point or `null` to reset

### hasGeoRssPoint

    public boolean hasGeoRssPoint()

  Returns whether it has the geolocation as a georss:point.

  Returns:
    whether it has the geolocation as a georss:point

### getGeoRssWhere

    public GeoRssWhere getGeoRssWhere()

  Returns the geolocation as a georss:where.

  Returns:
    geolocation as a georss:where

### setGeoRssWhere

    public void setGeoRssWhere(GeoRssWhere geoRssWhere)

  Sets the geolocation as a georss:where.

  Parameters:
    `geoRssWhere` - geolocation as a georss:where or `null` to reset

### hasGeoRssWhere

    public boolean hasGeoRssWhere()

  Returns whether it has the geolocation as a georss:where.

  Returns:
    whether it has the geolocation as a georss:where

### getGmlEnvelope

    public GmlEnvelope getGmlEnvelope()

  Returns the geo bounding box as a gml:Envelope.

  Returns:
    geo bounding box as a gml:Envelope

### setGmlEnvelope

    public void setGmlEnvelope(GmlEnvelope gmlEnvelope)

  Sets the geo bounding box as a gml:Envelope.

  Parameters:
    `gmlEnvelope` - geo bounding box as a gml:Envelope or `null` to reset

### hasGmlEnvelope

    public boolean hasGmlEnvelope()

  Returns whether it has the geo bounding box as a gml:Envelope.

  Returns:
    whether it has the geo bounding box as a gml:Envelope

### getGmlPoint

    public GmlPoint getGmlPoint()

  Returns the geolocation as a gml:point.

  Returns:
    geolocation as a gml:point

### setGmlPoint

    public void setGmlPoint(GmlPoint gmlPoint)

  Sets the geolocation as a gml:point.

  Parameters:
    `gmlPoint` - geolocation as a gml:point or `null` to reset

### hasGmlPoint

    public boolean hasGmlPoint()

  Returns whether it has the geolocation as a gml:point.

  Returns:
    whether it has the geolocation as a gml:point

### getLocationExt

    public GphotoLocation getLocationExt()

  Returns the textual location of the album.

  Returns:
    textual location of the album

### setLocationExt

    public void setLocationExt(GphotoLocation locationExt)

  Sets the textual location of the album.

  Parameters:
    `locationExt` - textual location of the album or `null` to reset

### hasLocationExt

    public boolean hasLocationExt()

  Returns whether it has the textual location of the album.

  Returns:
    whether it has the textual location of the album

### getMediaGroup

    public MediaGroup getMediaGroup()

  Returns the mediarss group for media metadata.

  Specified by:
    `getMediaGroup` in interface `MediaData`
  Returns:
    mediarss group for media metadata

### setMediaGroup

    public void setMediaGroup(MediaGroup mediaGroup)

  Sets the mediarss group for media metadata.

  Parameters:
    `mediaGroup` - mediarss group for media metadata or `null` to reset

### hasMediaGroup

    public boolean hasMediaGroup()

  Returns whether it has the mediarss group for media metadata.

  Returns:
    whether it has the mediarss group for media metadata

### getNameExt

    public GphotoName getNameExt()

  Returns the canonical name of the album.

  Returns:
    canonical name of the album

### setNameExt

    public void setNameExt(GphotoName nameExt)

  Sets the canonical name of the album.

  Parameters:
    `nameExt` - canonical name of the album or `null` to reset

### hasNameExt

    public boolean hasNameExt()

  Returns whether it has the canonical name of the album.

  Returns:
    whether it has the canonical name of the album

### getNicknameExt

    public GphotoNickname getNicknameExt()

  Returns the nickname of the owner of the album.

  Returns:
    nickname of the owner of the album

### setNicknameExt

    public void setNicknameExt(GphotoNickname nicknameExt)

  Sets the nickname of the owner of the album.

  Parameters:
    `nicknameExt` - nickname of the owner of the album or `null` to reset

### hasNicknameExt

    public boolean hasNicknameExt()

  Returns whether it has the nickname of the owner of the album.

  Returns:
    whether it has the nickname of the owner of the album

### getPhotosLeftExt

    public GphotoPhotosLeft getPhotosLeftExt()

  Returns the number of photos that can be uploaded to this album.

  Returns:
    number of photos that can be uploaded to this album

### setPhotosLeftExt

    public void setPhotosLeftExt(GphotoPhotosLeft photosLeftExt)

  Sets the number of photos that can be uploaded to this album.

  Parameters:
    `photosLeftExt` - number of photos that can be uploaded to this album or `null` to reset

### hasPhotosLeftExt

    public boolean hasPhotosLeftExt()

  Returns whether it has the number of photos that can be uploaded to this album.

  Returns:
    whether it has the number of photos that can be uploaded to this album

### getPhotosUsedExt

    public GphotoPhotosUsed getPhotosUsedExt()

  Returns the number of photos that have been uploaded to this album.

  Returns:
    number of photos that have been uploaded to this album

### setPhotosUsedExt

    public void setPhotosUsedExt(GphotoPhotosUsed photosUsedExt)

  Sets the number of photos that have been uploaded to this album.

  Parameters:
    `photosUsedExt` - number of photos that have been uploaded to this album or `null` to reset

### hasPhotosUsedExt

    public boolean hasPhotosUsedExt()

  Returns whether it has the number of photos that have been uploaded to this album.

  Returns:
    whether it has the number of photos that have been uploaded to this album

### getUsernameExt

    public GphotoUsername getUsernameExt()

  Returns the username of the owner of the album.

  Returns:
    username of the owner of the album

### setUsernameExt

    public void setUsernameExt(GphotoUsername usernameExt)

  Sets the username of the owner of the album.

  Parameters:
    `usernameExt` - username of the owner of the album or `null` to reset

### hasUsernameExt

    public boolean hasUsernameExt()

  Returns whether it has the username of the owner of the album.

  Returns:
    whether it has the username of the owner of the album

### validate

    protected void validate()

  Description copied from class: `AbstractExtension`
  Checks the attributes to see if there are any problems. Default implementation does nothing, though generally this is discouraged unless there really are no restrictions.

  Overrides:
    `validate` in class `AbstractExtension`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getFeed

    public AlbumFeed getFeed(java.lang.String... kinds)
                      throws java.io.IOException,
                             ServiceException

  Retrieve the album feed and associated entries. The kinds parameter is a list of the associated entries to return. For example `AlbumFeed albumAndPhotos = albumEntry.getFeed(PhotoData.KIND, TagData.KIND);` If no kind parameters are passed, the default of `PhotoData.KIND` will be used.

  Parameters:
    `kinds` - the kinds of entries to retrieve, or empty to use the default.
  Returns:
    a feed of the album and the requested kinds.
  Throws:
    `java.io.IOException`
    `ServiceException`
  See Also:
    `PhotoData.KIND`, `TagData.KIND`

### getAccess

    public java.lang.String getAccess()

  Description copied from interface: `AlbumData`
  The access level of the album, either private, protected, or public. This may be null when the access level of the album is not known.

  Specified by:
    `getAccess` in interface `AlbumData`
  Returns:
    the access of the album.

### getBytesUsed

    public java.lang.Long getBytesUsed()

  Description copied from interface: `AlbumData`
  The number of bytes that are used by photos in this album. Useful to see how much space each album is taking up of the user's quota. This method is calculated by the server so it should be considered read-only by the client.

  Specified by:
    `getBytesUsed` in interface `AlbumData`
  Returns:
    the number of bytes used in the album.

### getCommentCount

    public java.lang.Integer getCommentCount()

  Description copied from interface: `AlbumData`
  The number of comments on the album. This is calculated based on the comments stored on the server.

  Specified by:
    `getCommentCount` in interface `AlbumData`
  Returns:
    the comment count on the album.

### getCommentsEnabled

    public java.lang.Boolean getCommentsEnabled()

  Description copied from interface: `AlbumData`
  Whether or not commenting is allowed on this album. If set to true then comments may be added to the album, if set to false then no comments can be made on photos in this album.

  Specified by:
    `getCommentsEnabled` in interface `AlbumData`
  Returns:
    true if comments are enabled in this album the feed represents.

### getDate

    public java.util.Date getDate()

  Description copied from interface: `AlbumData`
  The date the album was taken. Date ranges are not currently allowed. This is typically set to the date the earliest photo in the album was taken.

  Specified by:
    `getDate` in interface `AlbumData`
  Returns:
    the date on the album, set by the user.

### getLocation

    public java.lang.String getLocation()

  Description copied from interface: `AlbumData`
  The location of the album is a string representing where the photos in the album where taken.

  Specified by:
    `getLocation` in interface `AlbumData`
  Returns:
    the location of the album.

### getName

    public java.lang.String getName()

  Description copied from interface: `AlbumData`
  The name of the album is its canonicalized title. This is the name that can be used in urls to access the album by name rather than by id.

  Specified by:
    `getName` in interface `AlbumData`
  Returns:
    the (canonical) name of the album.

### getNickname

    public java.lang.String getNickname()

  Description copied from interface: `AlbumData`
  The nickname of the user who owns the album. This is provided to make it easier to display ownership information about albums. This is a read only field calculated by the server based on the owner of the album.

  Specified by:
    `getNickname` in interface `AlbumData`
  Returns:
    the nickname of the owner of the album.

### getPhotosLeft

    public java.lang.Integer getPhotosLeft()

  Description copied from interface: `AlbumData`
  The number of spaces for photos that are available in the album. This should be treated as a read only field as it is calculated on the server. Once 0 photos are left no more photos can be uploaded to this album until photos have been deleted.

  Specified by:
    `getPhotosLeft` in interface `AlbumData`
  Returns:
    the number of photos remaining in the album.

### getPhotosUsed

    public java.lang.Integer getPhotosUsed()

  Description copied from interface: `AlbumData`
  The number of photos that are contained in this album. This should be treated as a read only field, it is calculated on the server.

  Specified by:
    `getPhotosUsed` in interface `AlbumData`
  Returns:
    the number of photos used in the album.

### getUsername

    public java.lang.String getUsername()

  Description copied from interface: `AlbumData`
  The username of the owner of the album. This username can be used to query for the gallery of the owner of the album, for example.

  Specified by:
    `getUsername` in interface `AlbumData`
  Returns:
    the username of the owner of the album.

### setAccess

    public void setAccess(java.lang.String access)

  Description copied from interface: `AlbumData`
  Set the access for the album this data object represents. Valid values are "private" or "public". Anything other than "public" will be set as "private", which is the default.

  Specified by:
    `setAccess` in interface `AlbumData`
  Parameters:
    `access` - the access level of the album.

### setBytesUsed

    public void setBytesUsed(java.lang.Long bytesUsed)

  Description copied from interface: `AlbumData`
  Set the number of bytes used in the album this data object represents. This method is used by the server, setting this on the client will have no effect.

  Specified by:
    `setBytesUsed` in interface `AlbumData`
  Parameters:
    `bytesUsed` - the number of bytes used.

### setCommentCount

    public void setCommentCount(java.lang.Integer commentCount)

  Description copied from interface: `AlbumData`
  Set the number of comments on the album. Used by the server, this has no effect on the client.

  Specified by:
    `setCommentCount` in interface `AlbumData`
  Parameters:
    `commentCount` - the number of comments on the album.

### setCommentsEnabled

    public void setCommentsEnabled(java.lang.Boolean commentsEnabled)

  Description copied from interface: `AlbumData`
  Set the whether comments are enabled in the album. This will change the setting on the server if set by the owner of the album and updated.

  Specified by:
    `setCommentsEnabled` in interface `AlbumData`
  Parameters:
    `commentsEnabled` - true if comments are enabled in the album.

### setDate

    public void setDate(java.util.Date date)

  Description copied from interface: `AlbumData`
  Set the date of the album. Dates that are too early will be truncated by the server, where too early currently means anything before 1970.

  Specified by:
    `setDate` in interface `AlbumData`
  Parameters:
    `date` - the date the album represents.

### setLocation

    public void setLocation(java.lang.String location)

  Description copied from interface: `AlbumData`
  Set the location string for where the photos in the album were taken. This string may be geocoded by the server to provide coordinates based on the location.

  Specified by:
    `setLocation` in interface `AlbumData`
  Parameters:
    `location` - the location of the album.

### setName

    public void setName(java.lang.String name)

  Description copied from interface: `AlbumData`
  Set the canonical name of the album. This is used on the server. If you wish to change the title of the album you should instead use `AtomData.setTitle(com.google.gdata.data.TextConstruct)`.

  Specified by:
    `setName` in interface `AlbumData`
  Parameters:
    `name` - the canonical name of the album.

### setNickname

    public void setNickname(java.lang.String nickname)

  Description copied from interface: `AlbumData`
  Set the nickname for the owner of the album this data object represents. This is used by the server and has no effect on the client.

  Specified by:
    `setNickname` in interface `AlbumData`
  Parameters:
    `nickname` - the nickname of the owner.

### setPhotosLeft

    public void setPhotosLeft(java.lang.Integer photosLeft)

  Description copied from interface: `AlbumData`
  Set the number of photos remaining that can be uploaded to this album. This is used by the server, changing this value on the client will have no effect.

  Specified by:
    `setPhotosLeft` in interface `AlbumData`
  Parameters:
    `photosLeft` - the number of photos left.

### setPhotosUsed

    public void setPhotosUsed(java.lang.Integer photosUsed)

  Description copied from interface: `AlbumData`
  Set the number of photos used on the album this data object represents. This is used by the server, changing this value on the client will have no effect.

  Specified by:
    `setPhotosUsed` in interface `AlbumData`
  Parameters:
    `photosUsed` - the number of photos used.

### setUsername

    public void setUsername(java.lang.String username)

  Description copied from interface: `AlbumData`
  Set the username for the owner of the album this data object represents. This is used by the server, setting it on the client will have no effect. We currently do not support moving albums between users.

  Specified by:
    `setUsername` in interface `AlbumData`
  Parameters:
    `username` - the username of the owner.

### getGeoLocation

    public Point getGeoLocation()

  Description copied from interface: `PointData`
  Gets the geo-location of the entity.

  Specified by:
    `getGeoLocation` in interface `PointData`
  Returns:
    a Point that contains the geo-coordinates (latitude and longitude).

### setGeoLocation

    public void setGeoLocation(java.lang.Double lat,
                               java.lang.Double lon)

  Description copied from interface: `PointData`
  Sets the geo-location of the entity based on the lat and long coordinates passed in. This will create a new Point object if none exists, otherwise it will copy the new coordinates into the existing object.

  Specified by:
    `setGeoLocation` in interface `PointData`
  Parameters:
    `lat` - The latitude coordinate, between -90 and 90 degrees.
    `lon` - The longitude coordinate, between -180 and 180 degrees.

### setGeoLocation

    public void setGeoLocation(Point point)

  Description copied from interface: `PointData`
  Sets the geo-location of the entity based on the Point extension. This will use the passed in extension as the geo location if none already exists, otherwise it will copy the given point's data into the existing point object.

  Specified by:
    `setGeoLocation` in interface `PointData`
  Parameters:
    `point` - A point containing the latitude and longitude coordinates.

### setGeoBoundingBox

    public void setGeoBoundingBox(Point lowerLeft,
                                  Point upperRight)

  Description copied from interface: `BoxData`
  Sets the bounding box based on two `Point` objects. If there is an existing Box on this object, the new points will be copied into the existing box rather than creating a new box.

  Specified by:
    `setGeoBoundingBox` in interface `BoxData`
  Parameters:
    `lowerLeft` - the lower left coordinate of the box.
    `upperRight` - the upper right coordinate of the box.

### setGeoBoundingBox

    public void setGeoBoundingBox(Box boundingBox)

  Description copied from interface: `BoxData`
  Sets the bounding box for this entity based on a `Box` extension. If there is an existing Box on this object, the new box will have its points copied into the existing box rather than using the passed-in box.

  Specified by:
    `setGeoBoundingBox` in interface `BoxData`
  Parameters:
    `boundingBox` - the box that bounds this entity.

### getGeoBoundingBox

    public Box getGeoBoundingBox()

  Description copied from interface: `BoxData`
  Gets the bounding box of this entity.

  Specified by:
    `getGeoBoundingBox` in interface `BoxData`
  Returns:
    a Box that contains the boundary for the content of this entity.

### clearPoint

    public void clearPoint()

  Description copied from interface: `PointData`
  Clears the point data and removes the extension point.

  Specified by:
    `clearPoint` in interface `PointData`

### clearGeoBoundingBox

    public void clearGeoBoundingBox()

  Description copied from interface: `BoxData`
  Clears the bounding box and removes the extension point.

  Specified by:
    `clearGeoBoundingBox` in interface `BoxData`

### getMediaCategories

    public java.util.List<MediaCategory> getMediaCategories()

  Description copied from interface: `MediaData`
  Retrieve the list of media:category elements inside the media:group on this element. If either the media:group or media:category elements are missing then an empty list will be returned.

  Specified by:
    `getMediaCategories` in interface `MediaData`
  Returns:
    a list of media:category elements found on the element.

### getMediaContents

    public java.util.List<MediaContent> getMediaContents()

  Description copied from interface: `MediaData`
  Retrieve the list of media:content elements inside the media:group on this element. If either the media:group or media:content elements are missing then an empty list will be returned.

  Specified by:
    `getMediaContents` in interface `MediaData`
  Returns:
    a list of media:content elements found on the element.

### getMediaCredits

    public java.util.List<MediaCredit> getMediaCredits()

  Description copied from interface: `MediaData`
  Retrieve the list of media:credit elements inside the media:group on this element. If either the media:group or media:credit elements are missing then an empty list will be returned.

  Specified by:
    `getMediaCredits` in interface `MediaData`
  Returns:
    a list of media:credit elements found on this element.

### getMediaKeywords

    public MediaKeywords getMediaKeywords()

  Description copied from interface: `MediaData`
  Retrieve the list of media:keywords elements inside the media:group on this element. If either the media:group or media:keywords elements are missing then `null` will be returned.

  Specified by:
    `getMediaKeywords` in interface `MediaData`
  Returns:
    the media:keywords elements found on the element, or `null`.

### getMediaThumbnails

    public java.util.List<MediaThumbnail> getMediaThumbnails()

  Description copied from interface: `MediaData`
  Retrieve the list of media:thumbnail elements inside the media:group on this element. If either the media:group or media:thumbnail elements are missing then an empty list will be returned.

  Specified by:
    `getMediaThumbnails` in interface `MediaData`
  Returns:
    a list of media:thumbnail elements found on the element.

### setKeywords

    public void setKeywords(MediaKeywords keywords)

  Description copied from interface: `MediaData`
  Set the media keywords on this element to the given keywords. Will create the media:group element as needed.

  Specified by:
    `setKeywords` in interface `MediaData`